### Method

# Gegl Nodeget_input_proxy

#### Declaration [src]

    GeglNode*
    gegl_node_get_input_proxy (
      GeglNode* node,
      const gchar* pad_name
    )

#### Description [src]

Proxies are used to route between nodes of a subgraph contained within a node.

#### Parameters

`pad_name`

  Type: `const gchar*`

  The name of the pad.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglNode`

Returns an input proxy for the named pad. If no input proxy exists with this name a new one will be created.

The returned data is owned by the instance.